Error: SSL Version or cipher mismatch problem

Please help me resolve this error: err_ssl_version_or_cipher_mismatch’ error and unsupported protacol… My clients receive the error on chrome and explore, they are still using MS XP and do not want to upgrade. I have cleared cache/browsing. I have run qualys https://www.ssllabs.com/index.html server test, all returned with rank ‘A’. I have asked them to disable QUIC protocol in chrome://flags. I have asked them to set internet properties all TLS certs. I have on CF dashboard set minimum TLS to 1.0, TLS 1.3 is enabled, Authenticated Origin Pulls is off? Should it be on. I have asked them to check other https:// sites which load. Any ideas how to resolve this?

Windows XP doesn’t do well with SNI (Server Name Indication) in most browsers. Chrome 6 on XP might work. Maybe Firefox version 2 as well.

Firefox supports XP up to version 52.

1 Like

This topic was automatically closed after 30 days. New replies are no longer allowed.